[Fusionforge-commits] r9398 - trunk/plugins/templates

Christian Bayle cbayle at libremir.placard.fr.eu.org
Wed Apr 7 16:41:48 CEST 2010


Author: cbayle
Date: 2010-04-07 16:41:47 +0200 (Wed, 07 Apr 2010)
New Revision: 9398

Modified:
   trunk/plugins/templates/createplugin.sh
Log:
Don't create obsolete language directory


Modified: trunk/plugins/templates/createplugin.sh
===================================================================
--- trunk/plugins/templates/createplugin.sh	2010-04-07 12:56:50 UTC (rev 9397)
+++ trunk/plugins/templates/createplugin.sh	2010-04-07 14:41:47 UTC (rev 9398)
@@ -31,7 +31,7 @@
 	[ ! -d $plugdir ] && mkdir $plugdir
 	[ ! -d $plugdir/bin ] && mkdir $plugdir/bin
 	[ ! -d $plugdir/etc/plugins/$minus ] && mkdir -p $plugdir/etc/plugins/$minus
-	[ ! -d $plugdir/common/languages ] && mkdir -p $plugdir/common/languages
+	#[ ! -d $plugdir/common/languages ] && mkdir -p $plugdir/common/languages
 	[ ! -d $plugdir/www ] && mkdir $plugdir/www
 
 	if [ ! -f $plugdir/common/${fullname}Plugin.class.php ]
@@ -83,7 +83,8 @@
 		do
 			if [ -d $modelminus/$debfile ]
 			then
-				[ -d $plugdir/$debfile ] || (echo "Making directory $plugdir/$debfile" ; mkdir $plugdir/$debfile)
+				newdebdir=`echo $debfile | sed "s/$modelminus/$minus/g"`
+				[ -d $plugdir/$newdebdir ] || (echo "Making directory $plugdir/$newdebdir" ; mkdir $plugdir/$newdebdir)
 			else
 				newdebfile=`echo $debfile | sed "s/$modelminus/$minus/g"`
 				if [ ! -f $plugdir/$newdebfile ]




More information about the Fusionforge-commits mailing list